APN editor: default Internet APN is ignored/overwritten

Bug #1415495 reported by Alfonso Sanchez-Beato on 2015-01-28
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Canonical System Image
Critical
Bill Filler
ubuntu-system-settings (Ubuntu)
Critical
Jonas G. Drange
ubuntu-system-settings (Ubuntu RTM)
High
Jonas G. Drange

Bug Description

When ofono configuration in /var/lib/ofono/<IMSI>/gprs is:

[Settings]
Powered=true
RoamingAllowed=false

[context1]
Name=Internet
AccessPointName=
Username=
Password=
Type=internet
Protocol=ip

The APN editor doesn't recognize this as a valid APN (ie. it's ignored ). See the attached screenshot in comment #11.

Furthermore, if a Custom Internet or MMS APN is entered, system-settings will overwrite the default APN:

[context1]
Name=___ubuntu_custom_apn_internet
AccessPointName=foo
Username=
Password=
Type=internet
Protocol=ip

Also, it's important to note that if ofono doesn't find an APN for the user's SIM, the default Internet APN shown above is the result. We also made a recent change to ofono which allows such an APN ( ie. with an empty AccessPointName ) to actually be used to setup a data call as some operators allow this.

This happens in:

current build number: 136
device name: mako
channel: ubuntu-touch/devel-proposed
alias: ubuntu-touch/vivid-proposed
last update: 2015-03-16 18:54:46
version version: 136
version ubuntu: 20150316
version device: 20150210
version custom: 20150316

Related branches

ofono configuration file

Pat McGowan (pat-mcgowan) wrote :

See this bug #1415215 entered yesterday.

This happens only on Vivid and not clear which layer has changed, the settings app code has not to my knowledge.

Changed in ubuntu-system-settings (Ubuntu):
assignee: nobody → Jonas G. Drange (jonas-drange)
Changed in ubuntu-system-settings (Ubuntu):
importance: Undecided → High
Ken VanDine (ken-vandine) wrote :

This is even worse, it also happens if you enter the APN page without ever opening the custom APN editor. Just listing the APNs, it creates a new one each time the page loads. So every time you enter the page it adds an additional empty context. And to make that even worse, it'll never activate the original provisioned context again. Even with a reboot, the phone won't connect.

I'm able to easily reproduced this on mako with vivid-proposed 84.

Changed in ubuntu-system-settings (Ubuntu):
status: New → Confirmed
importance: High → Critical
Ken VanDine (ken-vandine) wrote :

I've reproduced this on krillin as well, with vivid-proposed #93. However, on krillin after the empty contexts are created, the provisioned context still works. I can access the network without wifi enabled, just mobile data. This wasn't the case with mako, where I consistently lost mobile data networking.

Changed in ubuntu-system-settings (Ubuntu):
status: Confirmed → In Progress
Changed in ubuntu-system-settings (Ubuntu):
status: In Progress → Confirmed
Jonas G. Drange (jonas-drange) wrote :

I have looked into the state of this bug, for both vivid and rtm.

    * For both vivid and rtm I can create a custom context which retains the values I assign it (once created). I confirm this using ofono script [1].
    * For both vivid and rtm I see no duplication. This corresponds with what we saw, and fixed, in bug 1415215.

However, activation of a context rarely work. We have a bug for that, bug 1376720.

[1] /usr/share/ofono/scripts/list-contexts

Changed in canonical-devices-system-image:
assignee: nobody → Bill Filler (bfiller)
importance: Undecided → Critical
milestone: none → ww13-2015
status: New → Confirmed
tags: added: lt-blocker lt-category-visible
Tony Espy (awe) wrote :

On RTM, what happens is that the original APN is overwritten.

So starting with:

[Settings]
Powered=true
RoamingAllowed=false

[context1]
Name=Internet
AccessPointName=
Username=
Password=
Type=internet
Protocol=ip

...and adding an APN with access point name of "foo" results in:

[Settings]
Powered=true
RoamingAllowed=false

[context1]
Name=___ubuntu_custom_apn_internet
AccessPointName=foo
Username=
Password=
Type=internet
Protocol=ip

Changed in ubuntu-system-settings (Ubuntu RTM):
status: New → Confirmed
importance: Undecided → High
Tony Espy (awe) wrote :

Same results as comment #9 with mako/vivid.

current build number: 136
device name: mako
channel: ubuntu-touch/devel-proposed

@Jonas

The important step is that as root, you need to stop ofono, then edit the file as per Alfonso's description, then either start ofono again or reboot, then visit the editor.

Tony Espy (awe) wrote :
summary: - APN editor fails to create a custom APN
+ APN editor: default Internet APN is ignored/overwritten
Tony Espy (awe) on 2015-03-17
description: updated
Tony Espy (awe) on 2015-03-17
description: updated
Changed in ubuntu-system-settings (Ubuntu):
status: Confirmed → In Progress
Changed in ubuntu-system-settings (Ubuntu RTM):
assignee: nobody → Jonas G. Drange (jonas-drange)
status: Confirmed → In Progress
Changed in canonical-devices-system-image:
status: Confirmed → In Progress
tags: added: apn connectivity
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings - 0.3+15.04.20150325-0ubuntu1

---------------
ubuntu-system-settings (0.3+15.04.20150325-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ jonas-drange ]
  * [cellular] apn page does not overwrite empty, provisioned contexts
    (LP: #1415495)
 -- CI Train Bot <email address hidden> Wed, 25 Mar 2015 22:22:32 +0000

Changed in ubuntu-system-settings (Ubuntu):
status: In Progress → Fix Released
Changed in canonical-devices-system-image:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings - 0.3+15.04.20150330~rtm-0ubuntu1

---------------
ubuntu-system-settings (0.3+15.04.20150330~rtm-0ubuntu1) 14.09; urgency=medium

  [ jonas-drange ]
  * [cellular/apn] make apn entry enabled always (LP: #1388046)
  * [cellular/apn] no creation of custom contexts on editor exit (LP:
    #1433278)
  * [cellular] apn page does not overwrite empty, provisioned contexts
    (LP: #1415495)
 -- CI Train Bot <email address hidden> Mon, 30 Mar 2015 13:26:48 +0000

Changed in ubuntu-system-settings (Ubuntu RTM):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers